#! /usr/bin/env node
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('babel-polyfill');

var _prompt = require('prompt');

var _prompt2 = _interopRequireDefault(_prompt);

var _nomnom = require('nomnom');

var _glob = require('glob');

var _glob2 = _interopRequireDefault(_glob);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _mkdirp = require('mkdirp');

var _mkdirp2 = _interopRequireDefault(_mkdirp);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _properties = require('./properties');

var _prefillProps = require('./prefillProps');

var _prefillProps2 = _interopRequireDefault(_prefillProps);

var _parseProps = require('./parseProps');

var _parseProps2 = _interopRequireDefault(_parseProps);

var _generate = require('./generate');

var _generate2 = _interopRequireDefault(_generate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

try {
  (0, _prefillProps2.default)(_properties.properties, require(_path2.default.join(process.cwd(), 'package.json')));
} catch (e) {
  // carry on
}

const schema = { properties: _properties.properties };

Object.assign(_prompt2.default, {
  message: '>'.green,
  delimiter: ' ',
  colors: false
});
_prompt2.default.start();

const sources = _glob2.default.sync('../template/**/*', {
  realpath: true, nodir: true, dot: true, cwd: __dirname
});
const destinations = sources.map(source => _path2.default.join(process.cwd(), _path2.default.relative(_path2.default.join(__dirname, '..', 'template'), source)));
const srcContent = sources.map(fileName => _fs2.default.readFileSync(fileName, 'utf-8'));

const getPrompt = () => new Promise((resolve, reject) => _prompt2.default.get(schema, (err, props) => err ? reject(err) : resolve(props)));

const saveCompiled = compiledFiles => compiledFiles.forEach((content, key) => {
  _mkdirp2.default.sync(_path2.default.dirname(destinations[key]));
  _fs2.default.writeFileSync(destinations[key], content, 'utf-8');
});

const scaffold = args => {
  // Override arguments, use `--package.name=some-name` to skip prompts
  _prompt2.default.override = args;

  getPrompt().then((0, _parseProps2.default)(_properties.defaults)).then((0, _generate2.default)(srcContent)).then(saveCompiled).catch(err => console.error(err));
};

// Check if script is run directly
if (require.main === module) {
  scaffold((0, _nomnom.parse)());
}

exports.default = scaffold;