'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hostedGitInfo = require('hosted-git-info');

var _parseAuthor = require('./parseAuthor');

var _parseAuthor2 = _interopRequireDefault(_parseAuthor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (properties, packageData) => {
  Object.assign(properties['package.name'], { default: packageData.name });
  Object.assign(properties['package.description'], { default: packageData.description });

  if (packageData.config && packageData.config.component) {
    Object.assign(properties['package.global'], { default: packageData.config.component });
  }

  if (packageData.author) {
    const user = (0, _parseAuthor2.default)(packageData.author);
    Object.assign(properties['user.name'], { default: user.name });
    Object.assign(properties['user.email'], { default: user.email });
  }

  if (packageData.repository && packageData.repository.url) {
    const github = (0, _hostedGitInfo.fromUrl)(packageData.repository.url).user;
    Object.assign(properties['user.github'], { default: github });
  }
};